﻿using Exam.Infrastructure.Data.Entity;
using System.ComponentModel;

namespace Hotline.Share.Dtos.TestPapers
{
    /// <summary>
    /// 试卷
    /// </summary>
    [Description("试卷")]
    public class TestPaperDto : ActionRequest
    {
        /// <summary>
        /// 试卷标题
        /// </summary>
        [Description("试卷标题")]
        public string Name { get; set; }

        /// <summary>
        /// 试卷编号
        /// </summary>
        [Description("试卷编号")]
        public string Code { get; set; }

        /// <summary>
        /// 考试类型
        /// </summary>
        [Description("考试类型")]
        public int Type { get; set; }

        /// <summary>
        /// 组卷方式
        /// </summary>
        [Description("组卷方式")]
        public int Mode { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [Description("备注")]
        public string Remark { get; set; }

        /// <summary>
        /// 是否自动生成
        /// </summary>
        [Description("是否自动生成")]
        public bool IsAuto { get; set; }

        /// <summary>
        /// 试卷详情
        /// </summary>
        [Description("试卷详情")]
        public List<TestPaperItemDto> TestPaperItemDtos { get; set; }
    }
}
